package com.ningdatech.pmapi.expert.model.req;

import com.ningdatech.pmapi.expert.model.DictionaryFieldInfo;
import com.ningdatech.pmapi.expert.model.FileBasicInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/22 下午5:49
 */
@Data
@ApiModel("专家证明材料提交Request")
public class ExpertRecommendProofSubmitRequest {

    @NotEmpty
    @ApiModelProperty("推荐方式")
    private List<DictionaryFieldInfo> recommendedWay;

    @ApiModelProperty("推荐证明材料")
    private List<FileBasicInfo> recommendProofFile;

    @NotBlank
    @ApiModelProperty("短信验证码")
    private String verificationCode;
}
