package com.ningdatech.pmapi.meeting.entity.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * <p>
 * MeetingListByManagerPo
 * </p>
 *
 * @author WendyYang
 * @since 11:07 2022/8/8
 */
@Data
@ApiModel("专家抽取员事务列表请求参数")
@EqualsAndHashCode(callSuper = true)
public class MeetingListReq extends PagePo {

    @ApiModelProperty("事务名称")
    private String name;

    @ApiModelProperty("事务开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    @ApiModelProperty("事务结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    @ApiModelProperty("地点")
    private String address;

    @ApiModelProperty("事务状态：1 未完成、2 已完成、3 已取消\n" +
            "专家参与状态：1 待参加、2 已参加、3 已请假")
    private Integer status;

    @ApiModelProperty("事务类型")
    private String type;

    @ApiModelProperty("专家ID")
    private Long expertId;

}
